Issue 7726

Summary: All shape boundary points should optionally work as glue points
Product: Draw Reporter: aaime <andrea.aime>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: haui, issues, kamataki, masaya.k
Version: OOo 1.0.1   
Target Milestone: AOO Later   
Hardware: Other   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
The bad connector layout example image (one behind the mentioned URL) none

Description aaime 2002-09-14 17:24:05 UTC
I miss the ability to enable infinite connection points, 
that is, to attach a connector to any point of a shape's  
border rather than only in the predefined connectors. 
This feature is present at least in SmartDraw
Comment 1 elonen 2002-10-07 20:13:22 UTC
The feature would be very nice even if it was first implemented for      
boxes and ovals only. I see at least two ways of implementing this:       
      
 + a mode on/off checkbox in "Edit style" menu (which tab?)      
 + an new "make automatic glue points" action      
   (this could also ask how many points to add)      
      
The latter would probably be easier to implement. A hybrid solution      
might also work - i.e. recreate glue points automatically whenever a      
shape is edited, according to settings (mode on/off and # of     
points).   
   
ps. please rename the issue "infinite/automatic glue points" or 
something similar to make searching easier 
Comment 2 aaime 2002-10-07 22:45:17 UTC
Modified the summary as requested :-) 
(and voted for the bug...) 
Comment 3 wolframgarten 2002-11-06 08:39:15 UTC
Reassigned to Falko.
Comment 4 eric.savary 2003-04-16 15:39:17 UTC
Set to "NEW"
Comment 5 falko.tesch 2003-09-29 15:14:14 UTC
You can as many glue point as you like.
Comment 6 falko.tesch 2003-09-29 15:14:43 UTC
closed
Comment 7 elonen 2003-09-29 16:37:43 UTC
Could you fill in some details? Does OOo now automatically create  
new points when the drawing is being re-layouted (so as to minimize  
the path lenghts) or how was this resolved? 
Comment 8 elonen 2003-12-21 22:49:28 UTC
I think the closer misunderstood the issue. 
  
"You can as many glue point as you like"  
is not an option if you have many objects and a complex layout. You don't want  
to it manually. The idea was that while currently a connector that is  
connected to a shape as a whole (as opposed to one explicit glue point) snaps 
to the nearest glue point, it should instead be able to "snap" to any boundary 
point automatically. In other words, any boundary point should be able to act 
as a glue point. See for example:  
 
 http://iki.fi/elonen/code/sql2diagram-sxd/screenshots/er-cleaned.png 
  
It looks quite ugly when the connectors between the ovals and boxes don't flow  
naturally around the boxes, doesn't it? "Tuotanto" in the middle bottom looks  
particularily awkward. It clearly calls for a behaviour where the length of  
the connector is minimized between the two shapes, disregarding the glue  
points entirely. For the diamonds, however, it probably looks better when the  
connectors only attach to the glue points. 
Comment 9 elonen 2003-12-21 22:52:33 UTC
Created attachment 12062 [details]
The bad connector layout example image (one behind the mentioned URL)
Comment 10 falko.tesch 2005-02-16 10:13:45 UTC
FT: Please put this on your evaluation list for OfficeLater. Thx.
Comment 11 ace_dent 2008-05-16 00:39:05 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html